#ifndef __MX_MODE_8250__
#define __MX_MODE_8250__

#define MX_MODE_8250_MINOR  112

#define IOCTL_GET_8250_MODE _IOR(MX_MODE_8250_MINOR,1,int)
#define IOCTL_SET_8250_MODE _IOW(MX_MODE_8250_MINOR,2,int)


/*
 * The bitmap of the UART mode register
 *
 * bit 0: UART port 0 RS-232 mode
 * bit 1: UART port 0 RS-485-2W mode
 * bit 2: UART port 0 RS-422/485-4W mode
 * bit 3: reserved
 * bit 4: UART port 1 RS-232 mode
 * bit 5: UART port 1 RS-485-2W mode
 * bit 6: UART port 1 RS-422/485-4W mode
 * bit 7: reserved
 *
 */
#define UART_MODE_IO_ADDRESS 0x305 //General IO Address
#define UART_MODE_BIT_COM1_RS232 0
#define UART_MODE_BIT_COM1_RS485 2
#define UART_MODE_BIT_COM1_RS422 1
#define UART_MODE_BIT_COM2_RS232 4
#define UART_MODE_BIT_COM2_RS485 6
#define UART_MODE_BIT_COM2_RS422 5

typedef struct __port_type_t {
	int port_number;	/* port number should be 1, 2 */
	int port_type;		/* port type: 0 - RS-232, 1 - RS-485-2W, 2 - RS-422/RS-485-4W */
} port_type_t;

#endif
